## Update Page Shield settings `client.pageShield.update(PageShieldUpdateParamsparams, RequestOptionsoptions?): PageShieldUpdateResponse` **put** `/zones/{zone_id}/page_shield` Updates Page Shield settings. ### Parameters - `params: PageShieldUpdateParams` - `zone_id: string` Path param: Identifier - `enabled?: boolean` Body param: When true, indicates that Page Shield is enabled. - `use_cloudflare_reporting_endpoint?: boolean` Body param: When true, CSP reports will be sent to https://csp-reporting.cloudflare.com/cdn-cgi/script_monitor/report - `use_connection_url_path?: boolean` Body param: When true, the paths associated with connections URLs will also be analyzed. ### Returns - `PageShieldUpdateResponse` - `enabled: boolean` When true, indicates that Page Shield is enabled. - `updated_at: string` The timestamp of when Page Shield was last updated. - `use_cloudflare_reporting_endpoint: boolean` When true, CSP reports will be sent to https://csp-reporting.cloudflare.com/cdn-cgi/script_monitor/report - `use_connection_url_path: boolean` When true, the paths associated with connections URLs will also be analyzed. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); const pageShield = await client.pageShield.update({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353' }); console.log(pageShield.enabled); ``` #### Response ```json { "success": true, "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "enabled": true, "updated_at": "2022-10-12T17:56:52.083582+01:00", "use_cloudflare_reporting_endpoint": true, "use_connection_url_path": true } } ```